Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_Notify_ProxyConsumer_Update_Worker Class Reference

Inform ProxyConsumer of updates. More...

`#include <Event_Manager.h>`

Inheritance diagram for TAO_Notify_ProxyConsumer_Update_Worker:

[legend]
Collaboration diagram for TAO_Notify_ProxyConsumer_Update_Worker:

[legend]
List of all members.

## Public Methods
| TAO_Notify_ProxyConsumer_Update_Worker (const TAO_Notify_EventTypeSeq &added, const TAO_Notify_EventTypeSeq &removed)
## Protected Methods
void | work (TAO_Notify_ProxyConsumer *proxy ACE_ENV_ARG_DECL)
| = TAO_ESF_Worker method
## Protected Attributes
const TAO_Notify_EventTypeSeq & | added_
const TAO_Notify_EventTypeSeq & | removed_

## Detailed Description

Inform ProxyConsumer of updates.

## Constructor & Destructor Documentation

TAO_Notify_ProxyConsumer_Update_Worker::TAO_Notify_ProxyConsumer_Update_Worker | ( | const TAO_Notify_EventTypeSeq & | added,
|  | const TAO_Notify_EventTypeSeq & | removed
| ) |

## Member Function Documentation

void TAO_Notify_ProxyConsumer_Update_Worker::work | ( | TAO_Notify_ProxyConsumer *proxy | ACE_ENV_ARG_DECL | ) | `[protected]`

| = TAO_ESF_Worker method

## Member Data Documentation

const TAO_Notify_EventTypeSeq& TAO_Notify_ProxyConsumer_Update_Worker::added_`[protected]`

const TAO_Notify_EventTypeSeq& TAO_Notify_ProxyConsumer_Update_Worker::removed_`[protected]`

The documentation for this class was generated from the following file:

- Event_Manager.h